@import "~@angular/material/prebuilt-themes/indigo-pink.css";

div.container {
  margin: 0px 40px;
}

.fill-remaining-space {
  flex: 1 1 auto;
}

.controles-container {
  width: 100%;
  padding: 5%;
}

.controles-container > * {
  width: 100%;
}

.add-bottom-padding {
  padding-bottom: 10px;
}

mat-radio-group mat-radio-button {
  margin-left: 5px;
}

.button-row button {
  margin: 5px;
}
/* nav bar */
html, body, mat-sidenav-container, mat-sidenav-content {
  margin: 0;
  width: 100%;
  height: 100%;
}

/* notification */
snack-bar-container.success {
  background-color: #5cb85c;
  color: #fff;
}

snack-bar-container.warn {
  background-color: #f99157;
  color: #fff;
}

snack-back-container.notification simple-snack-bar {
  font-size: 18px !important;
  font-weight: bold;
}

.hide {
  display: none;
}

/* mat-table */
mat-footer-row mat-footer-cell {
  justify-content: center;
  font-style: italic;
}

/* filter controls */
.search-div {
  margin: 10px;
}
.search-form-field {
  width: 60%;
  margin-left: 10px;
  padding: 5px 10px;
  background-color: #f5f5f5;
  border-radius: 5px;
}
.search-form-field div.mat-form-field-underline {
  display: none;
}
.search-form-field div.mat-form-field-infix {
  border-top: 0px;
}
.search-form-field div.mat-form-field-wrapper {
  padding-bottom: 0px;
}
.search-form-field div.mat-form-field-suffix button {
  height: 32px;
  width: 32px;
}

/* for dialog pop-up */
.btn-dialog-close {
  width: 45px;
  min-width: 0px !important;
  height: 40px;
  padding: 0px !important;
}
